#ifndef __PVSDEFINITIONS_H
#define __PVSDEFINITIONS_H

#include "common.h"
#include <math.h>

////////////
//-- typedefs

#ifdef USE_HASH_PVS

#include "HashPvs.h"

#define HASH_PVS 1

namespace GtpVisibilityPreprocessor {
typedef HashPvs<Intersectable *, PvsData> DefaultPvs;
typedef HashPvsIterator<Intersectable *, PvsData> ObjectPvsIterator;
}

#else

#include "Pvs.h"

#define HASH_PVS 0

namespace GtpVisibilityPreprocessor {
typedef VerbosePvs<Intersectable *, PvsData> DefaultPvs;
typedef PvsIterator<Intersectable *, PvsData> ObjectPvsIterator;
}
#endif

namespace GtpVisibilityPreprocessor {

typedef PvsEntry<Intersectable *, PvsData> ObjectPvsEntry;

}


#endif

